Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#25 Incorrect sender on verification of h tag

v0.2.7
closed-fixed
5
2005-04-28
2005-04-12
sm
No

The following headers is an example of mail sent from a
gmail user (user@gmail.com) to a mailing list
(mailinglist@example.com) and received by a list
subscriber.

DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws;
s=beta; d=gmail.com;

h=received:message-id:date:from:reply-to:to:subject:cc:in-reply-to:mime-version:content-type:content-transfer-encoding:references;

b=LW5Fpg9NChC7oYp3THoDDxORt9mgD0V5WLjsQxTIm2ziysCq/S/2HgfvRDdQwCn7Zu4Gv7C+IUCvgpeBmCVviklRxIUBYyU7k5OtLm8Fj45z8SanrOKLcFmtcl6xTcs/3XCEn3fgpQH4W5d5u071oWGHR8/1/qk+2/tKtuo55fo=
Received: by 10.36.3.16 with SMTP id 16mr146932nzc;
Sun, 10 Apr 2005 09:08:49 -0700 (PDT)
Received: by 10.36.7.7 with HTTP; Sun, 10 Apr 2005
09:08:49 -0700 (PDT)
Message-ID: <42b4121605041009083516d1fb@mail.gmail.com>
Date: Sun, 10 Apr 2005 17:08:49 +0100
From: user@gmail.com
To: user2@gmail.com>
Subject: Dinner tonight
Cc: mailinglist@example.com
In-Reply-To: <b713df2c0524072232664bd6f8@mail.gmail.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
References: <42b434716050406095265291e0d@mail.gmail.com>
<b713df2c0534072232664bd6f8@mail.gmail.com>
Sender: owner-list@example.com

The list subscriber sees the following after signature
verification:

Authentication-Results: incoming.example.net
sender=owner-list@example.com; domainkeys=pass

The sender in the Authentication-Results: is incorrect
as example.com did not sign the mail. The sending
domain should be gmail.com

Discussion

  • Logged In: YES
    user_id=1048957

    The problem is caused by the fact that "sender" does not
    appear in the h= tag. As a result, it's discarded prematurely.

    Working on a fix.

     
    • labels: --> Functionality
    • milestone: --> v0.2.7
    • assigned_to: nobody --> sm-msk
     
    • status: open --> closed-fixed
     
  • Logged In: YES
    user_id=1048957

    Fixed in v0.3.0, now released.